Retrieve effective player configuration
const url = 'https://example.com/api/v1/player/config';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/player/configRequires an authenticated player credential.
Responses
Section titled “ Responses ”Versioned player config
object
object
One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.
object
One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.
object
One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.
object
One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.
object
One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.
object
One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.
object
One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.
object
One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.
object
One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.
object
One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.
object
One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.
object
One effective-configuration category. Keys and value shapes follow the organization policy definitions; players ignore unknown keys.
object
Examplegenerated
{ "data": { "schemaVersion": 1, "configRevision": 1, "generatedAt": "2026-04-15T12:00:00Z", "branding": {}, "playback": {}, "cache": {}, "sync": {}, "reliability": {}, "website": {}, "power": {}, "managedKiosk": {}, "linuxKiosk": {}, "accessibility": {}, "updates": {}, "presentationNetwork": {} }}Not modified